function GenerateJSFile()
{
	var html = "";
	var urlstring=escape(document.domain);
	var id = document.dingzhi.id.value;
	var fcolor = document.dingzhi.fcolor.value;
	var imgurl = document.dingzhi.imgurl.value;
	var bimg = document.dingzhi.bimg.value;
	var bcolor = document.dingzhi.bcolor.value;
        if (bimg!=""){bimg="bbg"+bimg}

	html = html + "&lt;IFRAME id=\"tianqi8_wetherinfo\" name=\"tianqi8_wetherinfo\" src=\"http://"+urlstring+"/weather/code/id.htm?type=1&id=" + id + "&fcolor=" + fcolor + "&imgurl=images/ico/i" +imgurl + "&bimg=" + bimg + "&bcolor=" + bcolor + "\" frameBorder=0 width=410 height=70 ALIGN=CENTER MARGINWIDTH=0 MARGINHEIGHT=0 HSPACE=0 VSPACE=0 SCROLLING=NO allowtransparency=true&gt;&lt;/"+"IFRAME&gt;";

	document.getElementById("result").innerHTML = html;
	document.getElementById("result").select();

	var src="id.htm?type=2&id=" + id + "&fcolor=" + fcolor + "&imgurl=images/ico/i" +imgurl + "&bimg=" + bimg + "&bcolor=" + bcolor;

	document.getElementById("tianqi8_wetherinfo").src =src;

	html = "<IFRAME id=\"tianqi8_wetherinfo\" name=\"tianqi8_wetherinfo\" src=\"http://"+urlstring+"/weather/code/id.htm?type=2&id=" + id + "&fcolor=" + fcolor + "&imgurl=images/ico/i" +imgurl + "&bimg=" + bimg + "&bcolor=" + bcolor + "\" frameBorder=0 width=410 height=70 ALIGN=CENTER MARGINWIDTH=0 MARGINHEIGHT=0 HSPACE=0 VSPACE=0 SCROLLING=NO allowtransparency=true></IFRAME>";
	clipboardData.setData("Text",html);
	alert("嵌入代码已经拷贝到剪贴板中");

}